> ## Documentation Index
> Fetch the complete documentation index at: https://moengage-sdk-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Experience Metadata

> The Metadata API is used to fetch a list of currently Active, Scheduled and Paused experiences within a workspace.



## OpenAPI

````yaml /api/personalize-experience/personalize-experience.yaml get /experiences/metadata
openapi: 3.0.3
info:
  title: Personalize APIs
  description: >
    <span style="background-color: #ffffff; color: #374151;"><span
    style="-webkit-text-stroke-width: 0px; display: inline !important; float:
    none; font-family: Söhne, sans-serif; font-size: 16px; font-style: normal;
    font-variant-caps: normal; font-variant-ligatures: normal; font-weight: 400;
    letter-spacing: normal; orphans: 2; text-align: start;
    text-decoration-color: initial; text-decoration-style: initial;
    text-decoration-thickness: initial; text-indent: 0px; text-transform: none;
    white-space: pre-wrap; widows: 2; word-spacing: 0px;">Personalize APIs
    constitute a set of endpoints that can be accessed from your platform's
    code. </span></span>

    These APIs offer personalization capabilities and must be invoked from your
    codebase for MoEngage to provide relevant data. After receiving the data,
    you can use the same within your platform's code to personalize the content
    for your users.
  version: 1.0.0
servers:
  - url: https://sdk-{dc}.moengage.com/v1
    description: MoEngage API Server
    variables:
      dc:
        default: '01'
        description: >
          The 'X' in the API Endpoint URL refers to the MoEngage Data Center
          (DC). MoEngage hosts each customer in a different DC. You can find
          your DC number (value of X) and replace the value of 'X' in the URL by
          referring to the DC and API endpoint mapping
          [here](https://help.moengage.com/hc/en-us/articles/360057030512-Data-Centers-in-MoEngage).
        enum:
          - '01'
          - '02'
          - '03'
security:
  - basicAuth: []
tags:
  - name: Experiences
    description: API endpoints for fetching experiences and metadata.
  - name: Events
    description: API endpoints for reporting impressions and clicks.
paths:
  /experiences/metadata:
    get:
      tags:
        - Experiences
      summary: Fetch Experience Metadata
      description: >-
        The Metadata API is used to fetch a list of currently Active, Scheduled
        and Paused experiences within a workspace.
      operationId: getMetadata
      parameters:
        - name: MOE-APPKEY
          in: header
          required: true
          description: >-
            This is the Workspace ID of your MoEngage account, and it needs to
            be passed along with the request. You can find your MoEngage
            Workspace ID in the MoEngage Dashboard API Settings. For more
            information, refer to Authentication.
          schema:
            type: string
            example: Workspace ID
        - name: status
          in: query
          required: false
          description: >-
            You can also fetch experiences that are in a specific state - Only
            Active or only Active + Paused - by using the query parameter
            **status**.
          schema:
            type: string
            example: Active,Paused
      responses:
        '200':
          description: Successful retrieval
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      count:
                        type: integer
                      experiences:
                        type: array
                        items:
                          type: object
                          properties:
                            experience_name:
                              type: string
                            experience_key:
                              type: string
                            status:
                              type: string
              example:
                metadata:
                  count: 3
                  experiences:
                    - experience_name: Experience 1
                      experience_key: experience-1
                      status: Active
                    - experience_name: Experience 2
                      experience_key: experience-2
                      status: Paused
                    - experience_name: Experience-3
                      experience_key: experience-3
                      status: Scheduled
      x-codeSamples:
        - lang: cURL
          label: Fetch all experiences
          source: >
            curl --location
            'https://sdk-03.moengage.com/v1/experiences/metadata' \

            --header 'Accept: */*' \

            --header 'Content-Type: application/json' \

            --header 'Authorization: Basic
            TkFTNUlQWVdaM0tWTEcyQ05FTVJQVkRROklpSUZzU21zOHVGendEa0ZNX3FqaVVlYw=='
            \

            --header 'MOE-APPKEY: <Your Workspace ID>'
        - lang: cURL
          label: Fetch by Status (Active)
          source: >
            curl --location
            'https://sdk-03.moengage.com/v1/experiences/metadata?status=Active'
            \

            --header 'Accept: */*' \

            --header 'Content-Type: application/json' \

            --header 'Authorization: Basic
            TkFTNUlQWVdaM0tWTEcyQ05FTVJQVkRROklpSUZzU21zOHVGendEa0ZNX3FqaVVlYw=='
            \

            --header 'MOE-APPKEY: <Your Workspace ID>'
        - lang: cURL
          label: Fetch by Status (Active,Paused)
          source: >
            curl --location
            'https://sdk-03.moengage.com/v1/experiences/metadata?status=Active,Paused'
            \

            --header 'Accept: */*' \

            --header 'Content-Type: application/json' \

            --header 'Authorization: Basic
            TkFTNUlQWVdaM0tWTEcyQ05FTVJQVkRROklpSUZzU21zOHVGendEa0ZNX3FqaVVlYw=='
            \

            --header 'MOE-APPKEY: <Your Workspace ID>'
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        The API request will be authenticated through Basic Authentication.
        Basic Authentication sends a Base64-encoded string containing your
        username and password with every API request. It encodes a
        'username:password' string in Base64 and appends the encoded string with
        'Basic '. This string is included in the authorization header as shown
        below:


        `{"Authorization":"Basic bmF2ZWVua3VtYXI6bW9lbmdhZ2U="}`


        The username and password details can be obtained from the MoEngage
        Dashboard.

        1. Navigate to **Settings** -> **Account** -> **APIs.**

        2. Click **the Copy** icon in the **Personalize** tile in the **API
        Key**s section to copy the API Key.

        3. Use the **Workspace ID** as the username and the Personalize API Key
        as the password to generate the authentication header.

````